Bug 916432 - Review Request: python-geojson - Encoder/decoder for simple GIS features
Review Request: python-geojson - Encoder/decoder for simple GIS features
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yohan Graterol
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 916433
  Show dependency treegraph
 
Reported: 2013-02-27 22:44 EST by Ralph Bean
Modified: 2015-01-14 17:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-27 17:52:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
yohangraterol92: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2013-02-27 22:44:33 EST
Spec URL: http://ralph.fedorapeople.org//python-geojson.spec
SRPM URL: http://ralph.fedorapeople.org//python-geojson-1.0.1-1.fc18.src.rpm

Description:
Geojson provides geometry, feature, and collection classes, and supports
pickle-style dump and load of objects that provide the lab's Python geo
interface. Here's an example of a round-trip through the GeoJSON format::

>>> import geojson
>>> p = geojson.Point([0.0, 0.0])
>>> p
Point(coordinates=[0.0, 0.0])
>>> data = geojson.dumps(p)
>>> data
'{"type": "Point", "coordinates": [0.0, 0.0]}'
>>> q = geojson.loads(data, object_hook=geojson.GeoJSON.to_instance)
>>> q
Point(coordinates=[0.0, 0.0])
Comment 1 Ralph Bean 2013-02-27 22:44:37 EST
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5063079
Comment 2 Volker Fröhlich 2013-03-01 02:46:00 EST
I'd suggest to remove everything from "Here's an example" on from the description.

I notice that the setuptools are listed under install_requires in setup.py. To my knowledge, install_requires is supposed to list runtime requirements. Does it really need the setuptools at runtime?

Can something be done to run the tests successfully?
Comment 3 Ralph Bean 2013-03-04 09:57:26 EST
Hi, I removed the example and patched out the setuptools requirement.  I couldn't find anywhere it was actually used at runtime (sometimes it is required for "entry-points" iteration at runtime).

I couldn't get the tests to pass.  It has to do with their use of doctests' ELLIPSIS.. with which I'm unfamiliar.  I gave it a good try, though.

Spec URL: http://threebean.org/rpm/python-geojson.spec
SRPM URL: http://threebean.org/rpm/python-geojson-1.0.1-2.fc18.src.rpm
Comment 4 Yohan Graterol 2013-04-21 20:57:13 EDT
Hello Ralph, 

What's the error that showed in test?

Really your package pass successfully fedora-review , but I want know about the test!

Regards!
Comment 5 Ralph Bean 2013-04-22 16:09:15 EDT
Stuff like this:
File "objects.txt", line 60, in objects.txt
Failed example:
    feature_dict # doctest: +ELLIPSIS

Expected:
    {u'geometry': {u'type': u'Point', u'coordinates': [4..., -54...]}, u'type': u'Feature', u'properties': {}, u'id': None}
Got:
    {'geometry': {'type': 'Point', 'coordinates': [4.53242, -54.1231]}, 'type': 'Feature', 'properties': {}, 'id': None}

The testing framework seems to be failing, but not the code under test.
Comment 6 Yohan Graterol 2013-04-28 16:15:50 EDT
Package Review
==============
 
Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed
 
 
 
===== MUST items =====
 
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 5 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
 
Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
 
===== SHOULD items =====
 
Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.
 
===== EXTRA items =====
 
Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
 
 
Rpmlint
-------
Checking: python-geojson-1.0.1-2.fc20.noarch.rpm
python-geojson.noarch: W: spelling-error %description -l en_US geo -> ego, Geo, go
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
 
 
 
 
Rpmlint (installed packages)
----------------------------
# rpmlint python-geojson
python-geojson.noarch: W: spelling-error %description -l en_US geo -> ego, Geo, go
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'
 
 
 
Requires
--------
python-geojson (rpmlib, GLIBC filtered):
    python(abi)
    python-simplejson
 
 
 
Provides
--------
python-geojson:
    python-geojson

---------------------------

Package Approved

---------------------------
Comment 7 Ralph Bean 2013-04-29 09:30:00 EDT
New Package SCM Request
=======================
Package Name: python-geojson
Short Description: Encoder/decoder for simple GIS features
Owners: ralph
Branches: f19 f18 f17 el6
InitialCC:
Comment 8 Jon Ciesla 2013-04-29 10:08:01 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-04-29 13:15:04 EDT
python-geojson-1.0.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-geojson-1.0.1-2.fc19
Comment 10 Fedora Update System 2013-04-29 13:15:37 EDT
python-geojson-1.0.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-geojson-1.0.1-2.fc18
Comment 11 Fedora Update System 2013-04-29 13:15:56 EDT
python-geojson-1.0.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-geojson-1.0.1-2.fc17
Comment 12 Fedora Update System 2013-04-29 13:16:19 EDT
python-geojson-1.0.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-geojson-1.0.1-2.el6
Comment 13 Volker Fröhlich 2013-05-20 03:50:51 EDT
Please push the updates to stable!
Comment 14 Fedora Update System 2013-05-20 21:43:43 EDT
python-geojson-1.0.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 15 Fedora Update System 2013-05-21 04:43:15 EDT
python-geojson-1.0.1-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 16 Fedora Update System 2013-05-21 04:44:41 EDT
python-geojson-1.0.1-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 17 Fedora Update System 2013-05-24 16:40:26 EDT
python-geojson-1.0.1-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 18 Ralph Bean 2015-01-14 16:27:20 EST
Package Change Request
======================
Package Name: python-geojson
New Branches: epel7
Owners: ralph
Comment 19 Jon Ciesla 2015-01-14 17:22:26 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.